
DeadDrop - Feature #65

Encrypt client Side Keys

10/18/2023 12:42 PM - Sancho Fock

Status: Rejected Start date: 11/17/2023

Priority: Normal Due date: 11/20/2023

Assignee: Sancho Fock % Done: 0%

Category: Client Estimated time: 8:00 hours

Target version: open   

Description

Do this for the session key as well as the DropKeys

Use the same password as for the client protection

Related issues:

Follows Feature #64: Encrypt Session Keys in the Database Closed 11/16/2023 11/16/2023

History

#1 - 10/18/2023 12:48 PM - Sancho Fock

- Due date set to 02/16/2024

- Start date changed from 10/18/2023 to 02/16/2024

- Follows Feature #64: Encrypt Session Keys in the Database added

#2 - 10/18/2023 12:49 PM - Sancho Fock

- Precedes Feature #41: Add Rescue Password added

#3 - 10/18/2023 12:53 PM - Sancho Fock

- Due date changed from 02/19/2024 to 02/20/2024

#4 - 11/09/2023 10:30 PM - Sancho Fock

- Target version changed from 0.6.x to 0.5.x

#5 - 11/12/2023 10:17 PM - Sancho Fock

- Due date changed from 11/17/2023 to 11/21/2023

- Start date changed from 11/16/2023 to 11/20/2023

#6 - 11/12/2023 10:18 PM - Sancho Fock

- Due date changed from 11/21/2023 to 11/22/2023

- Start date changed from 11/20/2023 to 11/21/2023

#7 - 11/15/2023 01:05 AM - Sancho Fock

- Due date changed from 11/22/2023 to 11/20/2023

- Start date changed from 11/21/2023 to 11/17/2023

#8 - 11/15/2023 11:00 PM - Sancho Fock

- Status changed from New to In Progress

#9 - 11/16/2023 11:31 PM - Sancho Fock

- Status changed from In Progress to Rejected

- Target version changed from 0.5.x to open

This feature does not make sense. The client keys will be encrypted anyway if the password is set. so encrypting then again with the same password

makes no sense.

However if this would be changed to a new feature to protect secure drops seperatly with another password, this could be done
#10 - 11/16/2023 11:32 PM - Sancho Fock

- Precedes deleted (Feature #41: Add Rescue Password)
